## mediabar 0.2

=== src/Makefile ===
#############################################################################
# Makefile for building: mediabar
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Jan 12 14:46:45 2011
# Project:  mediabar.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile mediabar.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/include/QtCore -I/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/include/QtGui -I/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/include/QtDBus -I/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		widget.cpp \
		maemo5deviceevents.cpp moc_widget.cpp \
		moc_maemo5deviceevents.cpp
OBJECTS       = main.o \
		widget.o \
		maemo5deviceevents.o \
		moc_widget.o \
		moc_maemo5deviceevents.o
DIST          = /targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		mediabar.pro
QMAKE_TARGET  = mediabar
DESTDIR       = 
TARGET        = mediabar

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_widget.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: mediabar.pro  /targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -o Makefile mediabar.pro
/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-0fb357b8f6fcfbfcc6b1f88a0c7c2192af8c1491/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile mediabar.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/mediabar1.0.0 || $(MKDIR) .tmp/mediabar1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/mediabar1.0.0/ && $(COPY_FILE) --parents widget.h maemo5deviceevents.h .tmp/mediabar1.0.0/ && $(COPY_FILE) --parents main.cpp widget.cpp maemo5deviceevents.cpp .tmp/mediabar1.0.0/ && $(COPY_FILE) --parents widget.ui .tmp/mediabar1.0.0/ && (cd `dirname .tmp/mediabar1.0.0` && $(TAR) mediabar1.0.0.tar mediabar1.0.0 && $(COMPRESS) mediabar1.0.0.tar) && $(MOVE) `dirname .tmp/mediabar1.0.0`/mediabar1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/mediabar1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_widget.cpp moc_maemo5deviceevents.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_widget.cpp moc_maemo5deviceevents.cpp
moc_widget.cpp: maemo5deviceevents.h \
		ui_widget.h \
		widget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) widget.h -o moc_widget.cpp

moc_maemo5deviceevents.cpp: maemo5deviceevents.h
	/usr/bin/moc $(DEFINES) $(INCPATH) maemo5deviceevents.h -o moc_maemo5deviceevents.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:

=== debian/changelog ===
mediabar (0.2) unstable; urgency=low

  * Bring back Maemo 5 specific code to reduce CPU usage.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Wed, 12 Jan 2011 14:35:40 +0200

mediabar (0.1) unstable; urgency=low

  * Initial release.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Tue, 14 Dec 2010 00:27:10 +0200

=== debian/control ===
Source: mediabar
Section: user/system
Priority: optional
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2
XSBC-Bugtracker: mailto:mohammad7410@gmail.com

Package: mediabar
Architecture: armel
Depends: ${shlibs:Depends}, proximityd
Description: A Media Bar similar to that on XpressMusic devices.
 Hold the proximity sensor to display a multimedia bar similar to that on the Nokia 5800 XpressMusic and other XpressMusic devices.
 Configuration file for timeout is in /home/user/.config/MohammadAG/mediabar.conf
XB-Maemo-Display-Name: MediaBar

## mediabar 0.3

=== src/Makefile ===
#############################################################################
# Makefile for building: mediabar
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Jan 12 20:36:57 2011
# Project:  mediabar.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile mediabar.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/mafw-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/mafw-1.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/mafw-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/mafw-1.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/include/QtCore -I/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/include/QtGui -I/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/include/QtDBus -I/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -lmafw-shared -lmafw -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		widget.cpp \
		maemo5deviceevents.cpp \
		mafwrendereradapter.cpp \
		mafwrenderersignalhelper.cpp moc_widget.cpp \
		moc_maemo5deviceevents.cpp \
		moc_mafwrendereradapter.cpp
OBJECTS       = main.o \
		widget.o \
		maemo5deviceevents.o \
		mafwrendereradapter.o \
		mafwrenderersignalhelper.o \
		moc_widget.o \
		moc_maemo5deviceevents.o \
		moc_mafwrendereradapter.o
DIST          = /targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		mediabar.pro
QMAKE_TARGET  = mediabar
DESTDIR       = 
TARGET        = mediabar

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_widget.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: mediabar.pro  /targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -o Makefile mediabar.pro
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-36515d9889a80beb4b5810909f8abf8dd6f038a2/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile mediabar.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/mediabar1.0.0 || $(MKDIR) .tmp/mediabar1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/mediabar1.0.0/ && $(COPY_FILE) --parents widget.h maemo5deviceevents.h mafwrendereradapter.h mafwrenderersignalhelper.h .tmp/mediabar1.0.0/ && $(COPY_FILE) --parents main.cpp widget.cpp maemo5deviceevents.cpp mafwrendereradapter.cpp mafwrenderersignalhelper.cpp .tmp/mediabar1.0.0/ && $(COPY_FILE) --parents widget.ui .tmp/mediabar1.0.0/ && (cd `dirname .tmp/mediabar1.0.0` && $(TAR) mediabar1.0.0.tar mediabar1.0.0 && $(COMPRESS) mediabar1.0.0.tar) && $(MOVE) `dirname .tmp/mediabar1.0.0`/mediabar1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/mediabar1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

=== debian/changelog ===
mediabar (0.3) unstable; urgency=low

  * Added mediaplayer controls.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Wed, 12 Jan 2011 18:37:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/system
 Priority: optional
 Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, libmafw0-dev, libglib2.0-dev, libmafw-shared0-dev
 Standards-Version: 3.7.2
 XSBC-Bugtracker: mailto:mohammad7410@gmail.com

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

UISRC=$(CURDIR)/src

CFLAGS = -Wall -g
EXTRA_CFLAGS += -DENABLE_MUSB_CONTROLLER

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	cd $(UISRC) && qmake
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	cd $(UISRC) && $(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	cd $(UISRC) && qmake && $(MAKE) clean
	if [ -f src/mediabar ]; then rm -f src/mediabar; fi
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs debian/changelog
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mediabar 0.4

=== debian/changelog ===
mediabar (0.4) unstable; urgency=low

  * Added autohide and GUI configuration dialog.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Fri, 14 Jan 2011 02:06:14 +0200

=== debian/control ===
Source: mediabar
Section: user/system
Priority: optional
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libmafw0-dev, libglib2.0-dev, libmafw-shared0-dev, libgtk2.0-dev, libosso-dev, hildon-control-panel-dev
Standards-Version: 3.7.2
XSBC-Bugtracker: mailto:mohammad7410@gmail.com

Package: mediabar
Architecture: armel
Depends: ${shlibs:Depends}, proximityd
Description: A Media Bar similar to that on XpressMusic devices.
 Hold the proximity sensor to display a multimedia bar similar to that on the Nokia 5800 XpressMusic and other XpressMusic devices.
 Configuration file for timeout is in /home/user/.config/MohammadAG/mediabar.conf.
 Configuration GUI accessible from Menu -> Settings
XB-Maemo-Display-Name: MediaBar
XSBC-Bugtracker: mailto:mohammad7410@gmail.com
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAMgAAADICAYAAACtWK6eAAAABGdBTUEAALGO
 fPtRkwAAACBjSFJNAACHDwAAjA8AAP1SAACBQAAAfXkAAOmLAAA85QAAGcxz
 PIV3AAAKOWlDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAEjHnZZ3VFTXFofP
 vXd6oc0wAlKG3rvAANJ7k15FYZgZYCgDDjM0sSGiAhFFRJoiSFDEgNFQJFZE
 sRAUVLAHJAgoMRhFVCxvRtaLrqy89/Ly++Osb+2z97n77L3PWhcAkqcvl5cG
 SwGQyhPwgzyc6RGRUXTsAIABHmCAKQBMVka6X7B7CBDJy82FniFyAl8EAfB6
 WLwCcNPQM4BOB/+fpFnpfIHomAARm7M5GSwRF4g4JUuQLrbPipgalyxmGCVm
 vihBEcuJOWGRDT77LLKjmNmpPLaIxTmns1PZYu4V8bZMIUfEiK+ICzO5nCwR
 3xKxRoowlSviN+LYVA4zAwAUSWwXcFiJIjYRMYkfEuQi4uUA4EgJX3HcVyzg
 ZAvEl3JJS8/hcxMSBXQdli7d1NqaQffkZKVwBALDACYrmcln013SUtOZvBwA
 Fu/8WTLi2tJFRbY0tba0NDQzMv2qUP91829K3NtFehn4uWcQrf+L7a/80hoA
 YMyJarPziy2uCoDOLQDI3fti0zgAgKSobx3Xv7oPTTwviQJBuo2xcVZWlhGX
 wzISF/QP/U+Hv6GvvmckPu6P8tBdOfFMYYqALq4bKy0lTcinZ6QzWRy64Z+H
 +B8H/nUeBkGceA6fwxNFhImmjMtLELWbx+YKuGk8Opf3n5r4D8P+pMW5FonS
 +BFQY4yA1HUqQH7tBygKESDR+8Vd/6NvvvgwIH554SqTi3P/7zf9Z8Gl4iWD
 m/A5ziUohM4S8jMX98TPEqABAUgCKpAHykAd6ABDYAasgC1wBG7AG/iDEBAJ
 VgMWSASpgA+yQB7YBApBMdgJ9oBqUAcaQTNoBcdBJzgFzoNL4Bq4AW6D+2AU
 TIBnYBa8BgsQBGEhMkSB5CEVSBPSh8wgBmQPuUG+UBAUCcVCCRAPEkJ50Gao
 GCqDqqF6qBn6HjoJnYeuQIPQXWgMmoZ+h97BCEyCqbASrAUbwwzYCfaBQ+BV
 cAK8Bs6FC+AdcCXcAB+FO+Dz8DX4NjwKP4PnEIAQERqiihgiDMQF8UeikHiE
 j6xHipAKpAFpRbqRPuQmMorMIG9RGBQFRUcZomxRnqhQFAu1BrUeVYKqRh1G
 daB6UTdRY6hZ1Ec0Ga2I1kfboL3QEegEdBa6EF2BbkK3oy+ib6Mn0K8xGAwN
 o42xwnhiIjFJmLWYEsw+TBvmHGYQM46Zw2Kx8lh9rB3WH8vECrCF2CrsUexZ
 7BB2AvsGR8Sp4Mxw7rgoHA+Xj6vAHcGdwQ3hJnELeCm8Jt4G749n43PwpfhG
 fDf+On4Cv0CQJmgT7AghhCTCJkIloZVwkfCA8JJIJKoRrYmBRC5xI7GSeIx4
 mThGfEuSIemRXEjRJCFpB+kQ6RzpLuklmUzWIjuSo8gC8g5yM/kC+RH5jQRF
 wkjCS4ItsUGiRqJDYkjiuSReUlPSSXK1ZK5kheQJyeuSM1J4KS0pFymm1Hqp
 GqmTUiNSc9IUaVNpf+lU6RLpI9JXpKdksDJaMm4ybJkCmYMyF2TGKQhFneJC
 YVE2UxopFykTVAxVm+pFTaIWU7+jDlBnZWVkl8mGyWbL1sielh2lITQtmhct
 hVZKO04bpr1borTEaQlnyfYlrUuGlszLLZVzlOPIFcm1yd2WeydPl3eTT5bf
 Jd8p/1ABpaCnEKiQpbBf4aLCzFLqUtulrKVFS48vvacIK+opBimuVTyo2K84
 p6Ss5KGUrlSldEFpRpmm7KicpFyufEZ5WoWiYq/CVSlXOavylC5Ld6Kn0Cvp
 vfRZVUVVT1Whar3qgOqCmrZaqFq+WpvaQ3WCOkM9Xr1cvUd9VkNFw08jT6NF
 454mXpOhmai5V7NPc15LWytca6tWp9aUtpy2l3audov2Ax2yjoPOGp0GnVu6
 GF2GbrLuPt0berCehV6iXo3edX1Y31Kfq79Pf9AAbWBtwDNoMBgxJBk6GWYa
 thiOGdGMfI3yjTqNnhtrGEcZ7zLuM/5oYmGSYtJoct9UxtTbNN+02/R3Mz0z
 llmN2S1zsrm7+QbzLvMXy/SXcZbtX3bHgmLhZ7HVosfig6WVJd+y1XLaSsMq
 1qrWaoRBZQQwShiXrdHWztYbrE9Zv7WxtBHYHLf5zdbQNtn2iO3Ucu3lnOWN
 y8ft1OyYdvV2o/Z0+1j7A/ajDqoOTIcGh8eO6o5sxybHSSddpySno07PnU2c
 +c7tzvMuNi7rXM65Iq4erkWuA24ybqFu1W6P3NXcE9xb3Gc9LDzWepzzRHv6
 eO7yHPFS8mJ5NXvNelt5r/Pu9SH5BPtU+zz21fPl+3b7wX7efrv9HqzQXMFb
 0ekP/L38d/s/DNAOWBPwYyAmMCCwJvBJkGlQXlBfMCU4JvhI8OsQ55DSkPuh
 OqHC0J4wybDosOaw+XDX8LLw0QjjiHUR1yIVIrmRXVHYqLCopqi5lW4r96yc
 iLaILoweXqW9KnvVldUKq1NWn46RjGHGnIhFx4bHHol9z/RnNjDn4rziauNm
 WS6svaxnbEd2OXuaY8cp40zG28WXxU8l2CXsTphOdEisSJzhunCruS+SPJPq
 kuaT/ZMPJX9KCU9pS8Wlxqae5Mnwknm9acpp2WmD6frphemja2zW7Fkzy/fh
 N2VAGasyugRU0c9Uv1BHuEU4lmmfWZP5Jiss60S2dDYvuz9HL2d7zmSue+63
 a1FrWWt78lTzNuWNrXNaV78eWh+3vmeD+oaCDRMbPTYe3kTYlLzpp3yT/LL8
 V5vDN3cXKBVsLBjf4rGlpVCikF84stV2a9021DbutoHt5turtn8sYhddLTYp
 rih+X8IqufqN6TeV33zaEb9joNSydP9OzE7ezuFdDrsOl0mX5ZaN7/bb3VFO
 Ly8qf7UnZs+VimUVdXsJe4V7Ryt9K7uqNKp2Vr2vTqy+XeNc01arWLu9dn4f
 e9/Qfsf9rXVKdcV17w5wD9yp96jvaNBqqDiIOZh58EljWGPft4xvm5sUmoqb
 PhziHRo9HHS4t9mqufmI4pHSFrhF2DJ9NProje9cv+tqNWytb6O1FR8Dx4TH
 nn4f+/3wcZ/jPScYJ1p/0Pyhtp3SXtQBdeR0zHYmdo52RXYNnvQ+2dNt293+
 o9GPh06pnqo5LXu69AzhTMGZT2dzz86dSz83cz7h/HhPTM/9CxEXbvUG9g5c
 9Ll4+ZL7pQt9Tn1nL9tdPnXF5srJq4yrndcsr3X0W/S3/2TxU/uA5UDHdavr
 XTesb3QPLh88M+QwdP6m681Lt7xuXbu94vbgcOjwnZHokdE77DtTd1PuvriX
 eW/h/sYH6AdFD6UeVjxSfNTws+7PbaOWo6fHXMf6Hwc/vj/OGn/2S8Yv7ycK
 npCfVEyqTDZPmU2dmnafvvF05dOJZ+nPFmYKf5X+tfa5zvMffnP8rX82Ynbi
 Bf/Fp99LXsq/PPRq2aueuYC5R69TXy/MF72Rf3P4LeNt37vwd5MLWe+x7ys/
 6H7o/ujz8cGn1E+f/gUDmPP8usTo0wAAAAlwSFlzAAALEQAACxEBf2RfkQAA
 ABl0RVh0U29mdHdhcmUAUGFpbnQuTkVUIHYzLjUuNUmK/OAAAKW8SURBVHhe
 7b0HeFTV2v79vadJ7z3TQlERxIIgCIIFFRFQqoACUqRJ771K77333jtIkyqi
 ggoigtgbKjYMvWR/v3vtvSeTkJAJB87xff/Ddd3XDMlkz95rPfd66nrW//f/
 Rf5FRiAyApERiIxAZAQiIxAZgcgIREYgMgKREYiMQGQEIiMQGYHICERGIDIC
 kRGIjEBkBCIjEBmByAhERiAyApERiIxAZAQiIxAZgcgIREYgMgKREYiMQGQE
 IiMQGYHICERGIDICkRGIjEBkBCIjEBmByAhERiAyApERiIxAZAQiIxAZgcgI
 REYgMgKREYiMQGQEIiMQGYHICERGIDICkRGIjEBkBCIjEBmByAhERiAyApER
 iIxAZAQiIxAZgcgIREYgMgKREYiMQGQEIiMQGYHICERGIDICkRGIjEBkBCIj
 EBmByAhERiAyApERiIxAikcgj8f7P/8JpPjG/l/7g7hJ8DEh8fA3/p9CePn8
 9RP7/9qYJnzeJARdY5Uc/s5nbjeSu4dE59R9pv9zc5snChLEwSUAk+AT/hGC
 f/Lexb94nxRCP6f3odfQNUNJFiTh/7mBDXmgEEKECp8r6IyPV2CsgmBsvYnh
 Dn5+R9RtgK7rIKnv1s9D71Hv3XvXayhx3eeMp/X+V81xnihWdpsYf3Pwd17/
 4eCfvP4L3AFSIdRCagdpeBXSJgH39+7n9bcMvoFLHpHGJaEI83+SKPYYGzDG
 BhKiUDJI6CSYjJGX8TJg/AwYXxsQQkj3H4T7neY15F7ce9Ore7+6d0HP4ZLL
 JZJLnNCFIUiavyxhHHIkJEZ8UkRBgihIEOVLB9KDDCCjg0y8ZkawE0Mmfp4R
 ZHCQntd0DqlEGpcwrna5jih/2YEL88YSJUYUxIhiBY5CiKIQqCgELMoQgbEx
 yIAwChlBJpDZQRZe/5tw70Ovui8D7pc59jLHBsyxnsEsmlogQ8njEsfVOK6m
 iadlwhza2/+xJMjhagsmzRBDpBAhRIQsICvIBrKDnA5y8Zo7Hjy+XAxOTpAD
 ZAfZQFaHSC5pXLIkRpSgNrn9I3F7viEBOdDKNjGiIAZIBdKAtCA9yAgyAxEg
 G8gOcoCcIBfI7SAPr6GI4v8phf4+9G8S+3/C79H/3XvQq+4J+Lg/H/dpwD37
 uHcfz4CseJCZuAVSi2MIadzF0ZhqrnkmwsTza27PzIRx1Th1b8wqmVOu1kiV
 O483Te48nvQ+f/RddxW854FSj5YtWr5CxWKVX6j6cKXnq5SoWPmFR56r+Hyp
 ChUrl372uUqP8rsyoOwzFZ4z0Hv9TL97rtLzpZ+vUq1U9Zq1StZ+qW6Jso8/
 mc8hjciiAZR2CSWK/BnX7DIkCeNx/pIfCTGp/o7g/8Mhxh28ps6Tx5MOZIzO
 m7/ggw8Ve/DJJ5966LlKlYtXZnwrPf9CSd6XqlCJ8a1Y6dFnn6tY5uV69Su9
 WLtO5arVa9ioZvB81WrVbwN03RqVq1SrzpRXr1yhYqWnnnrm2cfKPV3+sTJl
 Hy953/0PFoYAeUE0CAA/8AEv8ADI5INEPhHIXSDdxTF0zkUY15LQvIdqljit
 gmn6H5/gEILI33DJkTpX7qh0mTNnzZY2bfq8vkD0/qIPFT//cr1Xznft3uP8
 gIGDLwwcMvTCoCHDLgwaOuzC4CCG897GkGFxGMz7ocNHXBg1ZtyFCZOmXBg/
 cdKF7r16T/d4A14GA/kwg+cSxV1hpE3+15PEHV/IEEoOozVy5cqTIXPmLDmz
 58hZvMh9D3xd75WG53v06n1eYzV67LgLY8aNBxNCYP5/2cb4/wYu2vdkcJ77
 iBkwcNAvnbt2++y1Vq3fbdKs+aZXGjaaUq16zS6Q+cXSZcqWLXhPYZFIBPIz
 n5rvKMC6a6wKWRShC6Q79yKL/FNZMZJJLdyST/lsxof7jxAFervOouuM64Zk
 UqXNniNX5tRp0t79j3/8s5rXFzj5yiuNrcFDhlujx4y3xoydYI0dN9EaN36S
 NX7CZGvChCnWxElTrUmTp1qTp0wD062p04QZ1rTpMw2mz5htzZ23wFq5aq21
 6Y2tFkLw/YNFixXhu6KBB8gUk/klH0baRKtKQpL8ZwbmFo5+CEFczeGaVOmz
 Zs2WI1Wq1MVy5Mw1ommzFtbuPXutPWD37j3Wrl27byt27rSvH/q6c+cu/r/L
 elN408VO3u+0duwQ3gxiu/N+y9Zt1vr1m5jXNday5SutRYuXIguTmd+RVs/e
 fc5Bmk9r1XlpPdpwQKnSZV5gTu/KHeXNy6tLGC2QLllkusuElykvX1eyqKCQ
 5DKEJMbauf2yEEIQfbluAkfR3FiGbNly5rjjjlSP/u1vfx/gD+T9qUmzllbP
 Xv2sPn0HWH37Ca9b/QcMBIOs118fbA0cOMQaNGioNWjwMEOkIUNHWEOHjbSG
 DR9lDR8x2hoxcow1avRYQ6iFi5ZYUyAPGqk131UQ5Ad+kAdIm8huDSWJnHc3
 HHz7B+YWESSB9pDPIXLI18iAVGTJkCHDnf/85z/rFrjz7k8nTpxivbFlm/UG
 i8fmW4ot1ubNNjZtEt6wNgobhc0GG8D6DZsQ9I3WuvUbrLXrwNr11po1663V
 a9ZZq1evtVZBAGHlytXWihWrrOUGKw0pli5bYS1dCvS6zP7ZihWr+Sx/w98u
 WLiYxXSi1aNn72uNGjf5BvN83iOlH62XN1+BBzDjNfcBgENl/NccQP5tOEQx
 UddbNF3XX8YhiGtaialyxhWdypwte848d6RK/fTf/va3CYHofL82aNjU6t6j
 j9Wrdz+rd5/+DlFet/r1gyT9B1kDBgyGKEMgylBr4KBh1iBIkhhRRkKUCQjD
 7DnzrfYdO23nu4qCwuBOZ6CiHJJIk0jlKgLihoNFkts3ILd4pB2CyLQSOeRz
 yBmXI545Z87cudKkSftImrRphz751DOXliFYIsethsi2SeQIQTxyiBhgncgh
 YoA1kCNIDARc2kHCHiRGkBTLrSVLl1uLlywzmmPRoqWGDAsWLLLmz19kzZu/
 0GA+/9fP9Tm9nzBxsoVZdqVmrTqflHns8QHR+Qo8gs11F/OeF+C4mIVSgR+X
 KJJJLdxawCWnrtllNMltIwkEsePwtvaQOlOkSszNlj17Ln+q1Gkq/P3vf5+c
 L1+B3+q/8qrVtVsvq2fPvlYvNIkhSR80Sd/X0SYDrX6QpD8kGYA2eR1tMjCo
 TUbE0ybDho+2Ro4aZ82cNRcSDf2j9KNlq/N9xcF9QIMkkyshSWSTuv7I/wqH
 PcQxd02r1BAjnROhyo55lT9VqlTVmIPtbdp2QDg3Qg5bg9xKbH4jTnu4mmPD
 BrTGdcRYb2uNIDnWoTFsckgbGI0BMZYZLSGNATmWQI7FkANiyCpYsGAxhIAY
 8xZac+cusObMnW8Wwlmz51mzZs1hzsHMOeb/c/j9zNlzWWj7Wy/VrfdrmbKP
 TSRQ8Viu3B5ZFPlCiCKNItNL6QTJpxbxUJI4vsktXjiJ7f0PEEFkXrnaQ7af
 biZX9hy58+GDVP773/8xrcCdBX+vhw/SpVtP1GRfq0evvtiX/dAm/SHKAB4y
 IUmG2CSRNnFNriEiykhs01HWMEyuCfgsk6dOtxo2fnU83/cYKOGQ5G5epXK1
 isiJUyjY9UdcU+svr0Vc7eGEc6U9ZFophJsN8yoqY8ZMRSFIOyJBP0yaPM2s
 8K6JdUsJYjSHbVbJlHKJYZtTcSbVmnUiB+YUJpXMIkMMY07Z5Fi2fJUxn2RK
 hWoNQwy0w3yHHHMhh4Q/jhhzDSlm4INOmz7LmjZtpvFNp0ydwavtm+p9j159
 YonKffFQsYc75swV9RCml+RAGsU1vZRSyAykTUQSaZOEvsmtk4uoqCgIIu2h
 RJX5Mld7iLGeHDlz350mbbpqEGRmwXvu/b1u/cZW5y49rW7d+2BqQZKe/YxP
 4pKkd5/XIcpAtMkgqx+apP+AIWiTEJNrsEwuhyTDRuGPjDMrSd/+rx/3eKMr
 8p1PhJBEmkQ+iaIdinLIH3G1yP8KMyuYJbdzHdIeMq2ygFyYV/nSpUtXngjW
 1Bo1a1+T8BlyOD7IrSSIiGeIYfwM29dYh1MtjRU0qRxfQ8QwfoYhxxqIATlc
 YkCOJUtWYCYl0BqGHLY5ZcgxB3LMRmvMmgcx5kKMOYYEIocIMWXKDGvy5OkE
 dKaZwM6EiVPNqwI7CgA1bd7i6uNPlltG1OupnLk8CuIUyBPlZ8H0Y1X4kU0/
 C7ifhdyPyeXH6vFDEn+oA39rSGJrkCBBZF6JmdIecpT8OXLmKUyI90WiWHOL
 FHngj7r1GludOvcwZla37r2NP2Jrk/iapA/mVnyTS9rE8UsGjwiSRKaWBmzS
 lGmxjz/5dFseEpL40SR+zC3/vfbAmNVDTrti5q4WUW7kL21mhZpXvHe1RybG
 OwfwZsuWvUjq1Kkb3n13oXfk00lotzgEsR10zKKk4DjcruOd3Kuc8njkgBi2
 E277GmvkhDtaI+iEozlEDldrLEFriBiLguaUfI0lRmvI1wjVGrONOQUx0BrT
 RY7ps21iTA0hxySXHFNM0GbcuEnWGKKiY3lVdLRT566x5IEOeX3R1XLkjHoI
 ecDs8qNN/MiDn2S0H9/Ej8nlZ1EPJYmfBd9/ayJcIQSRmpLKko2nrLjs/3wQ
 5P506TK8RJRl/oNFi0OQRlbHThCka29I0vs6TdLTNbfQJH1dTRL0S4aGkGQ4
 kS5FuUaawZg1Z57VoVOXtTxYDfAsKANw3P33APwRv8KA0iJy2KVF/vJmVqh5
 pfKRKBYfkBXkzpPHmy9TpiyPpk6dps9TT5f/bQar7ObN+B1Ge2wz728k9Akd
 7uT+L9Mqzgm3ybFG5EBrmCjV6hBfwzWp0BoKGixditaQSWW0BgSRr7EQcjjE
 mDcPcsx1tIbja8i3tMnhag00h0sOtITRHGgNpQbGjZ9sSDFm7ES0xwSsivFB
 9OzVx6pStfoxvz9vPWTx4dx5FMjxE/Hy48T7WcT9mFx+/OXbRBKHICp5kP+h
 CIGcc0UOFEW4U3ZguvQZ6//zn/9aVPzhR868jAbp0Kk7ZlYvq0vXXomQpD9+
 yQBMrgH4JSHmVn+ZW3LebU3yOhGugYNskkiLzGBAx02Y+MM9he5rysNWBU+D
 RwBOu5/IFgPiQbV6GAxbiyiiZbTILQ463bLLOeZVcGwhBtqDEgw0IuZVoXTp
 0lfzeH3LmjVveU2mjK01bHJsShbxI1LJEWQD4Vw7QuWSQxGq9fgZIsY6k5cy
 EaoQrWHIgSMe9DUWLcMJj9Ma8+YvRmsswtdYiK+xAFPZManikUOawybHZHyM
 SZhVrkk13iHHmATkUPBm+MixpAXGgLHGSqn5Yu0TaN36kKQUcollYWQC8ztI
 kqQ0yb8X3QohiOt/GOccyN4rCEEeTp8+YyMIsuSRUmXPSIN06NTN+CGdIUgX
 Y2r1SaBJ+huC9MJx743jbptb+CRBTRJnbtnO+whjg85bsPBardovj+J764BK
 4HFQDBQyWsQjLYLt6fGjRfxKHkqL/CXNrBDzyvXtjOkq7QHyZs2a/WG0x2ss
 OkeVJ9LqLnIY7eGGZE2+4tZAEatQk0qEkPlkzCZpBWM2QQBpBswmaQfz6r6X
 ttDPnFdFqeI74omRI8TfcLWG8Tcck4oEc5zmGG+NxB8d6RBj2PAx5M9Gg1HG
 yujStYeFufUOaYeXkElI4scvSZQk8kmQZdcnkanlv3l/JAFBNImKORM5MrZe
 IRykR9Knz9Tkn//61/Kyjz35p3yQDh27W50cgtgkwdwyJOkL2/vhj/Q3MJoE
 LdK7z0CbJBCkH5qkH457/1BNghbRiqEVafiIUe/yvY2ATK3yQINxvxkMD7an
 x09EC7vT4ycvwiDYicObH4Bbpi/iXyjOvDIRlqDpKu2RO7fnrowZM5dPnz7D
 sDov1T+vFdgQIUSDbOT/NpyEXoJXaYSUQA65fA0RQ+bP0KGjjN8oc7l9x25W
 uw5drXbthS5WW6DX9h264Qf0NHOrBU9zNwj/Uau6zKGJ+BDSDvIxZsycB+aa
 99OMvzHL+BuTXWfc8TfGQ45xaI74JtUEyDHeGiHNwbVdcgzhHgcPGWm+c8Dr
 Q5G7LtYz5Su8kTlztheRS8mFrAsCOcZ5d80taRKXJCxOrj9ykyQhivU3JbCY
 UGkQhXcVRlOkQHbevdzIo+kzZGr2r3/dseLJcuX/rFv/VUMQmVi2mdUbgvRx
 CGJHtroT2YojiG1q9cYf6YMWMSRRdAuC6KFfHyhTS1pkpBnYxUuXnb+3yAMd
 +e66oHKIFrkHQkiLUIriJ3mIzenxY2YRufiLaZGQujY3dC7TVaFJaeZozKv7
 MK9epvJzvcyHlSvX2j6H0R7bjHklcqSEAMl9VgSRSaUoETVS10o+UvrKQ8VL
 XCn60MOXk8ClYsVLXi5ZqsyVxx5/6urTzzx3rWKlqrFVqr4YW/PFl616RDMb
 N3nNat2mE2Z2HzOXMo1kCRhH3CGHbVJNMz93TSpDDiB/QxGrUfydTY4xxty2
 tcYo8mM2OWSKS04kQ63btL98/wMPTcmaNWeVXLm9MsFDNYnruCu6xaKEfET5
 Q0hyEwupkwMRQRTBEkFw0P3URPkVVrsPgpTNkCHTaxBkVflnKxmCtDcaRATp
 jZnVxxDEJklftEg/myAuSXrJH3G0iEuSfmgR45MMtUnyuu2PjBk7yaj99h06
 LeK7Gzta5BlebV/Ewz15uDcPjpmHEJ+HyIWHAfhLEsTUCcm8csfVLDzE9Qtg
 XpXCvOpUsdILX0hoJLybNoX4HQ457HBsEljPz1OAtfgeGlvlqvLnv/MStV8x
 3MMfqVOn/Q38yvtfwGnws4OfeP3RwU98XvgZc/uXbNly/I7v9CfRt3PFij9y
 iYXzSvUadWLrN2hitWzV3sy9zKNx46dADMgxIQE5mOfRYybiiKM5RA6sh2GG
 HLZZNTiEHPJVB0CO/siJLA+RsdGrzU7nzJmnBzm6irnz+MmbGZJIXuW44z+b
 EDDWULzI1s2ZWgkI4kSwTBhNqusBCPJ4hgyZW0KQ1ZUqVY2p90oTfJAeVic0

=== debian/rules ===
--- 
+++ 
@@ -37,8 +37,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	cd $(UISRC) && qmake && $(MAKE) clean
-	if [ -f src/mediabar ]; then rm -f src/mediabar; fi
+	cd $(UISRC) && qmake && $(MAKE) distclean
 	rm -f build-stamp configure-stamp
 	dh_clean

## mediabar 0.4-5

=== debian/changelog ===
mediabar (0.4-5) unstable; urgency=low

  * Added vibration support and UI fixes.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Fri, 14 Jan 2011 23:27:31 +0200

## mediabar 0.5

=== debian/changelog ===
mediabar (0.5) unstable; urgency=low

  * Merged free placement patch by rcg1.
  * Added free placement settings to GUI.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sun, 16 Jan 2011 18:25:16 +0200
